/*
 * @Note:
 * @Author: 2058827620@qq.com
 * @Date: 2022-04-03 10:53:25
 */
import React, { useState, useEffect } from 'react';
import {
  Modal,
  Table
} from 'antd';
import { orderPointRecord } from '@/services/shop/order';

export default ({ values, modalOpenState, onModalOpenState }) => {

  const [config, setConfig] = useState(null);
  const [items, setItems] = useState(null);


  useEffect(() => {
    if (values) {
      orderPointRecord({
        orderId: values?.id
      }).then(({ data, success }) => {
        if (success) {
          setItems(data || []);
        }
      }).catch(() => {

      });
    }
  }, [values]);

  const columns = [
    {
      title: 'ID',
      dataIndex: 'id',
      search: false,
    },
    {
      title: '投资人',
      dataIndex: 'shop',
      search: false,
      render: (_, record) => {
        return <>
          <div>用户名：{values?.investUsersEntity?.username}</div>
          <div>手机号：{values?.investUsersEntity?.mobile}</div>
        </>
      },
    },
    {
      title: '类型',
      dataIndex: 'type',
      search: false,
      render: (_, record) => {
        return config?.type[record?.type]
      },
    },
    {
      title: '金额',
      dataIndex: 'type',
      search: false,
    },
    {
      title: '创建时间',
      dataIndex: 'createdAt',
      search: false,
    },
  ];

  return (
    <>
      <Modal width="800px" title="分红" open={modalOpenState} onOk={() => {
        onModalOpenState(false);
      }} onCancel={() => {
        onModalOpenState(false)
      }}>
        <>
          <Table
            rowKey="id"
            columns={columns}
            dataSource={items}
            pagination={false}
          />
        </>
      </Modal>
    </>
  );
};